WordPress.org

Support

Support » Reviews » Wordfence Security » A must-have Security plugin for any WP site!

A must-have Security plugin for any WP site!

  • I have been using this plugin for the last couple of years (since my sites were attacked and compromised), and I have to say that it is absolutely a “must-have” plugin for any WP administrator to have in their arsenal. I install this plugin before I install ANYTHING ELSE whenever I start a new WP website for myself or a client.

  • The topic ‘A must-have Security plugin for any WP site!’ is closed to new replies.
Skip to toolbar